%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Summary: 	PEAR: Represent XML data in a tree structure
Name: 		php-pear-XML-Tree
Version: 	2.0.0
Release: 	0.2%{?dist}
License: 	PHP License
Group: 		Development/Libraries
Source0: 	http://pear.php.net/get/XML_Tree-%{version}RC2.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: 		http://pear.php.net/package/XML_Tree
BuildArchitectures: noarch
BuildRequires: 	php-pear(PEAR)
Provides: 	php-pear(XML_Tree) = %{version}
Requires: 	php-pear(XML_Parser) >= 1.1.0

%description
Allows for the building of XML data structures using a tree
representation, without the need for an extension like DOMXML.


%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm -f pearrc
rm -f %{buildroot}/%{peardir}/.filemap
rm -f %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm -rf %{buildroot}%{peardir}/.depdb*

# Sort out documentation
mv %{buildroot}/docs/XML_Tree/* .
rm -rf %{buildroot}/docs

# Install XML package description
mkdir -p %{buildroot}%{_libdir}/php/pear
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{_libdir}/php/pear/XML_Tree.xml

lst=$(find %{buildroot}%{peardir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{_libdir}/php/pear/XML_Tree.xml >/dev/null

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only XML_Tree >/dev/null
fi

%files
%defattr(-,root,root)
%doc  docs/examples/cdata_sections_1.php docs/examples/error_handling_1.php
%{peardir}/XML/Tree
%{peardir}/XML/Tree.php
%{peardir}/data/XML_Tree
%{_libdir}/php/pear/XML_Tree.xml

%changelog
* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 2.0.0-0.2.fc{3,4,5}.remi
- initial RPM (2.0.0RC2)

